# -*- coding: utf-8 -*-
import names
import squish , test
from PageObject import PageObject
from AddressbookAdd import AddressBookAdd

class AddressBook(PageObject):
    FRAME = names.address_Book_AddressBook
    TABLE = names.address_Book_JTable
    MENU = names.address_Book_JMenuBar

    FILE_MENU = names.file_JMenu
    EDIT_MENU = names.edit_JMenu

    def __init__(self):
        test.log("Opening Address Book")
        squish.waitForObject(self.FRAME)

    def new(self):
        test.log("New Address Book")
        squish.activateItem(squish.waitForObjectItem(self.MENU, "File"))
        squish.activateItem(squish.waitForObjectItem(self.FILE_MENU, "New..."))

    def add(self):
        test.log("Add entry to Address Book")
        squish.activateItem(squish.waitForObjectItem(self.MENU, "Edit"))
        squish.activateItem(squish.waitForObjectItem(self.EDIT_MENU, "Add..."))
        return AddressBookAdd()

    def entries(self):
        ''' Returns list of lists with Address entries '''
        jtable = squish.waitForObject(self.TABLE)
        ee = []
        for row in range(jtable.getRowCount()):
            rr = []
            for col in range(jtable.getColumnCount()):
                rr.append(str(jtable.getValueAt(row, col)))
            ee.append(rr)
        return ee

    def rowscount(self):
        ''' Returns the number of rows in Address Table'''
        return squish.waitForObject(self.TABLE).getRowCount()